#include<stdio.h>
#include"/usr/include/postgresql/libpq-fe.h"

FILE *fout;

PQnoticeProcessor noticeproc(void *arg, char *message)
{
				fprintf(fout, "%s", message);
}

main()
{
				PGconn *conn;
				PGresult *res;
				int i, j ,num_fields, num_tuples;
				ExecStatusType stat;
				void *arg;
				
				void *proc;
				proc=&noticeproc;

				fout=fopen("notice.txt", "w");

				conn=PQconnectdb("user=goldwyn dbname=debian");
				PQsetNoticeProcessor(conn, proc, arg);
				

				res=PQexec(conn, "SELECT * FROM contacts first_name=\'Hilda\'");
				
				stat=PQresultStatus(res);
				printf("Status of the command : %d %s\n",stat , PQresStatus(stat));
				if (stat==PGRES_TUPLES_OK)
				{
								num_fields=PQnfields(res);
								for(i=0; i<num_fields; i++)
												printf("%-12s | ",PQfname(res,i));

								printf("\n");

								num_tuples=PQntuples(res);
								for(i=0; i<num_tuples; i++)
												{
																for(j=0; j<num_fields; j++)
																				printf("%-12s | ", PQgetvalue(res, i, j));
																printf("\n");
												}
				}
				PQfinish(conn);
				fclose(fout);

				return 1;
}


